package servlets;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

// 监听前端请求
@WebServlet(urlPatterns = "/sum.action")
public class SumServlet extends HttpServlet {
    @Override
    protected void service(HttpServletRequest req, HttpServletResponse resp) throws IOException {
        // 接收前端传来的参数, 分别存入变量 pa, pb
        String pa = req.getParameter("a");
        String pb = req.getParameter("b");

        // 将接收到参数转移为 Double 型, 以便计算
        Double a = Double.parseDouble(pa);
        Double b = Double.parseDouble(pb);

        // 计算 a + b
        Double result = a + b;

        // 向前端回应计算结果
        PrintWriter out = resp.getWriter();
        out.println(result);
    }
}
